跳转到内容

执行 AI 刘海滤镜虚拟试戴 任务。

请求

本接口用模板与源图片发起刘海生成流程。任务会异步处理,您可以使用本响应返回的 task_id 查询其状态。

安全
BearerAuthenticationV2
正文application/json必需
Any of:
template_idstring必需

模板 ID。请先调用列出预置模板的接口,再取用其中某个模板的 ID。

示例:"good_template_001"
src_file_urlstring必需

用于运行任务的文件 URL,该 URL 需可公开访问。

示例:"https://example.com/selfie.jpg"
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/hair-bang \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "template_id": "good_template_001"
  }'

响应

任务执行成功

正文application/json
statusinteger

响应状态

示例:200
dataobject
响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }